## ocaml-fileutils 0.4.2

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 BUILDDIR=./_build/src
 SRCDIR=./src
-OCAMLBUILDFLAGS+=-classic-display -no-log
+OCAMLBUILDFLAGS+=-classic-display -no-log -byte-plugin
 
 all:
 
@@ -52,9 +52,6 @@
 	-$(RM) "TopMakefile"
 
 install: all
-	$(INSTALL) -d $(htmldir)/api
-	$(INSTALL_DATA) -t $(htmldir)/api \
-	  $(wildcard $(BUILDDIR)/fileutils.docdir/*)
 	$(OCAMLFIND) install \
 	  -patch-version $(PACKAGE_VERSION) \
 	  fileutils \
@@ -74,6 +71,9 @@
 	  $(wildcard $(BUILDDIR)/fileutils-str.a) \
 	  $(wildcard $(BUILDDIR)/fileutils-str.lib) \
 	  $(wildcard $(BUILDDIR)/*.cmx) 
+	$(INSTALL) -d $(htmldir)/api
+	$(INSTALL_DATA) -t $(htmldir)/api \
+	  $(wildcard $(BUILDDIR)/fileutils.docdir/*)
 
 uninstall:
 	-$(RM) -r $(htmldir)/api
@@ -85,6 +85,7 @@
 SVN_TAG=$(dir $(SVN_TRUNK))/tags/$(PACKAGE_VERSION)
 dist:
 	svn export . "$(DISTDIR)"
+	$(RM) "$(DISTDIR)/m4/ocaml.m4"
 	cp -L "m4/ocaml.m4" "$(DISTDIR)/m4/ocaml.m4"
 	cd "$(DISTDIR)" && ./autogen.sh
 	$(RM) -r "$(DISTDIR)/autom4te.cache"
