=== website/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ################################################################################
 #  ocaml-fileutils: files and filenames common operations                      #
 #                                                                              #
-#  Copyright (C) 2003-2009, Sylvain Le Gall                                    #
+#  Copyright (C) 2003-2011, Sylvain Le Gall                                    #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
