=== debian/control ===
Source: ocaml-fileutils
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
 Sylvain Le Gall <gildor@debian.org>,
 Hendrik Tews <hendrik@askra.de>
Build-Depends: 
 debhelper (>= 9),
 ocaml-nox (>= 4),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.4),
 libounit-ocaml-dev,
 camlp4 (>= 3.10.0-4),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.4
Homepage: http://forge.ocamlcore.org/projects/ocaml-fileutils/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-fileutils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-fileutils.git

Package: libfileutils-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: File manipulation for OCaml
 This library provides some functions which operate on the file system
 for the Objective Caml (OCaml) programming language. The aim is to enhance
 the basic functionality provided by the OCaml standard Filename module.
 .
 It provides functions, written in pure OCaml, for manipulating files (mv, cp,
 mkdir et al) and abstract filename (make_relative, make_absolute et al).
