=== debian/changelog ===
ocaml-fileutils (0.5.2-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:36:27 +0200

ocaml-fileutils (0.5.2-1build1) bionic; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:33:21 +0200

ocaml-fileutils (0.5.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10
  * Recommend ocaml-findlib
  * Add ocamlbuild to Build-Depends

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:39:14 +0200
