=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=128 .*/ocaml-fileutils-([0-9\.]*)\.tar\.gz
