## ocaml-fileutils 0.5.3

=== debian/changelog ===
ocaml-fileutils (0.5.3-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:29:47 +0000

ocaml-fileutils (0.5.3-2) unstable; urgency=medium

  * Team upload
  * Remove oasis from Build-Depends, fixing a dependency loop; commit the
    output of "oasis setup" as a patch instead
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 17:11:06 +0200

ocaml-fileutils (0.5.3-1) unstable; urgency=medium

  * Team upload
  * New homepage (update d/watch file accordingly)
  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Move Git repository to Salsa, and update Vcs-* headers accordingly
  * Add oasis and libfindlib-ocaml-dev to Build-Depends, needed by setup.ml

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 11:20:56 +0200
