=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ocaml-fileutils
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  ocaml-nox (>= 4),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.4),
+ libfindlib-ocaml-dev,
  libounit-ocaml-dev,
  camlp4 (>= 3.10.0-4),
  ocamlbuild,
  dh-ocaml (>= 0.9)
-Standards-Version: 4.0.0
-Homepage: http://forge.ocamlcore.org/projects/ocaml-fileutils/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/gildor478/ocaml-fileutils
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-fileutils
 
 Package: libfileutils-ocaml-dev
 Architecture: any
