=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,5 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+override_dh_dwz:
