=== debian/watch ===
version=3
opts="filenamemangle=s/.*?\/(\d[\d.]*)\.tar\.gz/ocaml-fileutils-$1.tar.gz/" \
  https://github.com/gildor478/ocaml-fileutils/releases .*?/(\d[\d.]*)\.tar\.gz
