## ocaml-fileutils 0.6.3

=== debian/changelog ===
ocaml-fileutils (0.6.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 06:54:20 +0200
