=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: ocaml-fileutils
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4),
- ocaml-best-compilers,
- ocaml-findlib (>= 1.4),
- libfindlib-ocaml-dev,
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-dune,
  libounit-ocaml-dev,
- camlp4 (>= 3.10.0-4),
- ocamlbuild,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ocaml-fileutils
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-fileutils
