=== debian/watch ===
version=3
https://github.com/gildor478/ocaml-fileutils/releases .*/archive/v?(\d[\d.]*)\.tar\.gz
