=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ocaml-fileutils
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git
